NX Open C++ Reference Guide
|
Represents an automatic traceline. More...
Public Types | |
enum | ModeOption { ModeOptionEvaluate, ModeOptionOrientation, ModeOptionInfer } |
Controls the mode used when evaluating an automatic traceline. More... | |
Public Member Functions | |
NXOpen::Direction * | EndDirection () |
Returns the end direction of the traceline Created in NX4.0.0. | |
double | EndOffset () |
Returns the end offset of the traceline Created in NX4.0.0. | |
NXOpen::Point * | EndPoint () |
Returns the end point of the traceline Created in NX4.0.0. | |
void | GetSegmentConstraints (std::vector< int > &segmentIndices, std::vector< double > &segmentLengths) |
Gets the segment constraints of the traceline Created in NX4.0.0. | |
NXOpen::AutomaticTraceline::ModeOption | Mode () |
Returns the mode of the traceline Created in NX4.0.0. | |
NXOpen::Matrix3x3 | Orientation () |
Returns the orientation of the traceline Created in NX4.0.0. | |
void | RemoveSegmentConstraint (int segmentIndex) |
Removes the segment constraint from the traceline Created in NX4.0.0. | |
void | SetEndDirection (NXOpen::Direction *direction) |
Sets the end direction of the traceline Created in NX4.0.0. | |
void | SetEndOffset (double endOffset) |
Sets the end offset of the traceline Created in NX4.0.0. | |
void | SetEndPoint (NXOpen::Point *point) |
Sets the end point of the traceline Created in NX4.0.0. | |
void | SetMode (NXOpen::AutomaticTraceline::ModeOption mode) |
Sets the mode of the traceline Created in NX4.0.0. | |
void | SetOrientation (const NXOpen::Matrix3x3 &orientation) |
Sets the orientation of the traceline Created in NX4.0.0. | |
void | SetSegmentConstraints (const std::vector< int > &segmentIndices, const std::vector< double > &segmentLengths) |
Sets the segment constraints of the traceline Created in NX4.0.0. | |
void | SetSolution (int solution) |
Sets the solution used in the traceline Created in NX4.0.0. | |
void | SetStartDirection (NXOpen::Direction *direction) |
Sets the start direction of the traceline Created in NX4.0.0. | |
void | SetStartOffset (double startOffset) |
Sets the start offset of the traceline Created in NX4.0.0. | |
void | SetStartPoint (NXOpen::Point *point) |
Sets the start point of the traceline Created in NX4.0.0. | |
int | Solution () |
Returns the solution used in the traceline Created in NX4.0.0. | |
NXOpen::Direction * | StartDirection () |
Returns the start direction of the traceline Created in NX4.0.0. | |
double | StartOffset () |
Returns the start offset of the traceline Created in NX4.0.0. | |
NXOpen::Point * | StartPoint () |
Returns the start point of the traceline Created in NX4.0.0. | |
![]() | |
NXOpen::Assemblies::Explosion * | AskExplosion () |
Returns the explosion that the traceline has been created in. | |
NXOpen::Curve * | AskShape () |
Returns the object used to represent the shape of the traceline. | |
![]() | |
void | Blank () |
Blanks the object. | |
int | Color () |
Returns the color of the object. | |
void | Highlight () |
Highlights the object. | |
bool | IsBlanked () |
Returns the blank status of this object. | |
int | Layer () |
Returns the layer that the object is in. | |
NXOpen::DisplayableObject::ObjectFont | LineFont () |
Returns the line font of the object. | |
NXOpen::DisplayableObject::ObjectWidth | LineWidth () |
Returns the line width of the object. | |
NXOpen::Point3d | NameLocation () |
Returns the location of the object's name. | |
void | RedisplayObject () |
Redisplays the object in all views. | |
void | SetColor (int color) |
Sets the color of the object. | |
void | SetLayer (int layer) |
Sets the layer that the object is in. | |
void | SetLineFont (NXOpen::DisplayableObject::ObjectFont font) |
Sets the line font of the object. | |
void | SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width) |
Sets the line width of the object. | |
void | SetNameLocation (const NXOpen::Point3d &location) |
Sets the location of the object's name. | |
void | Unblank () |
Unblanks the object. | |
void | Unhighlight () |
Unhighlights the object. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Represents an automatic traceline.
This type of traceline has its shape automatically derived from its defining properties.
No creator defined due to apiwrap problems
Created in NX4.0.0.
NXOpen::Direction* NXOpen::AutomaticTraceline::EndDirection | ( | ) |
Returns the end direction of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
double NXOpen::AutomaticTraceline::EndOffset | ( | ) |
Returns the end offset of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
NXOpen::Point* NXOpen::AutomaticTraceline::EndPoint | ( | ) |
Returns the end point of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
void NXOpen::AutomaticTraceline::GetSegmentConstraints | ( | std::vector< int > & | segmentIndices, |
std::vector< double > & | segmentLengths | ||
) |
Gets the segment constraints of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
segmentIndices | Segment indices |
segmentLengths | Segment lengths |
NXOpen::AutomaticTraceline::ModeOption NXOpen::AutomaticTraceline::Mode | ( | ) |
Returns the mode of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
NXOpen::Matrix3x3 NXOpen::AutomaticTraceline::Orientation | ( | ) |
Returns the orientation of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
void NXOpen::AutomaticTraceline::RemoveSegmentConstraint | ( | int | segmentIndex | ) |
Removes the segment constraint from the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
segmentIndex | Segment index |
void NXOpen::AutomaticTraceline::SetEndDirection | ( | NXOpen::Direction * | direction | ) |
Sets the end direction of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
direction | New end direction |
void NXOpen::AutomaticTraceline::SetEndOffset | ( | double | endOffset | ) |
Sets the end offset of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
endOffset | New end offset |
void NXOpen::AutomaticTraceline::SetEndPoint | ( | NXOpen::Point * | point | ) |
Sets the end point of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
point | New end point |
void NXOpen::AutomaticTraceline::SetMode | ( | NXOpen::AutomaticTraceline::ModeOption | mode | ) |
Sets the mode of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
mode | New mode |
void NXOpen::AutomaticTraceline::SetOrientation | ( | const NXOpen::Matrix3x3 & | orientation | ) |
Sets the orientation of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
orientation | New orientation |
void NXOpen::AutomaticTraceline::SetSegmentConstraints | ( | const std::vector< int > & | segmentIndices, |
const std::vector< double > & | segmentLengths | ||
) |
Sets the segment constraints of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
segmentIndices | Segment indices |
segmentLengths | Segment lengths |
void NXOpen::AutomaticTraceline::SetSolution | ( | int | solution | ) |
Sets the solution used in the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
solution | New solution to use |
void NXOpen::AutomaticTraceline::SetStartDirection | ( | NXOpen::Direction * | direction | ) |
Sets the start direction of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
direction | New start direction |
void NXOpen::AutomaticTraceline::SetStartOffset | ( | double | startOffset | ) |
Sets the start offset of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
startOffset | New start offset |
void NXOpen::AutomaticTraceline::SetStartPoint | ( | NXOpen::Point * | point | ) |
Sets the start point of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
point | New start point |
int NXOpen::AutomaticTraceline::Solution | ( | ) |
Returns the solution used in the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
NXOpen::Direction* NXOpen::AutomaticTraceline::StartDirection | ( | ) |
Returns the start direction of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
double NXOpen::AutomaticTraceline::StartOffset | ( | ) |
Returns the start offset of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
NXOpen::Point* NXOpen::AutomaticTraceline::StartPoint | ( | ) |
Returns the start point of the traceline
Created in NX4.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")